com.amazonaws.services.simpleworkflow.model

## Class ActivityTaskCancelRequestedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ActivityTaskCancelRequestedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTaskCancelRequestedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ActivityTaskCancelRequested` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTaskCancelRequestedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTaskCancelRequestedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getActivityId()` The unique ID of the task.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request.
`int` `hashCode()`
`void` `setActivityId(String activityId)` The unique ID of the task.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTaskCancelRequestedEventAttributes` `withActivityId(String activityId)` The unique ID of the task.
`ActivityTaskCancelRequestedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTaskCancelRequestedEventAttributes

    public ActivityTaskCancelRequestedEventAttributes()

### Method Detail

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public ActivityTaskCancelRequestedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RequestCancelActivityTask` decision for this cancellation request. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityId

    public void setActivityId(String activityId)

The unique ID of the task.

Parameters:
  `activityId` - The unique ID of the task.

#### getActivityId

    public String getActivityId()

The unique ID of the task.

Returns:
  The unique ID of the task.

#### withActivityId

    public ActivityTaskCancelRequestedEventAttributes withActivityId(String activityId)

The unique ID of the task.

Parameters:
  `activityId` - The unique ID of the task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTaskCancelRequestedEventAttributes clone()

Overrides:
  `clone` in class `Object`